New requirements for UPS API

Hello all. I just became aware that UPS will have new requirements for their API. This is the message I received.

“UPS has updated its account verification requirements. All API transactions must use the new OAuth Security model.”

I’ll also post a screenshot of what UPS said on their website.

Anyone know if this will effect CS-Cart and the callout for rates? We currently use CS-Cart 4.9.3 sp1